import * as yup from "yup";

export const PasswordValidation = yup.object({
    newPassword: yup.string()
        .min(8, '8~20자로 입력하십시오.')
        .max(20, '8~20자로 입력하십시오.')
        .required('비밀번호를 입력해주세요.'),
    passwordConfirm: yup.string()
        .oneOf([yup.ref('newPassword'), null], '비밀번호가 일치하지 않습니다.')
        .required('비밀번호를 한번 더 입력해주세요.'),
});